#ifndef MYGLWIDGET_HPP
#define MYGLWIDGET_HPP

#include "GLExtensions.hpp"
#include "Cube.hpp"

class MyGLWidget : public QGLWidget
{
    Q_OBJECT

    Cube cube;

public:
    MyGLWidget(QWidget *parent = 0);
    ~MyGLWidget();

    QSize minimumSizeHint() const;
    QSize sizeHint() const;

protected:
    void initializeGL();
    void paintGL();
    void timerEvent(QTimerEvent *);
    void resizeGL(int width, int height);
    void mousePressEvent(QMouseEvent *event);
    void mouseMoveEvent(QMouseEvent *event);

private:
    float angle;
};

#endif // MYGLWIDGET_HPP
